\documentclass{beamer}
\usepackage{wmf-beamer}

%Metadata
\title{Be bold with your presentation titles}
\author{Name of presenter}
\date{Place and/or date}

%Hack taken from the beamer docs to enable \end{frame} within a slide
\newenvironment{slide}[1]
{\begin{frame}[fragile,environment=slide]{#1}}
{\end{frame}}

\begin{document}

\begin{frame}[plain]
  \titlepage
\end{frame}

\begin{frame}{A slide with content}

  If you want them, there are macros for the WMF colours:
  \begin{itemize}
  \item{\color{wmfred}Red}
  \item{\color{wmfpink}Pink}
  \item{\color{wmforange}Orange}
  \item{\color{wmfyellow}Yellow}
  \item{\color{wmfpurple}Purple}
  \item{\color{wmfdarkgreen}Dark Green}
  \item{\color{wmfblue}Blue}
  \item{\color{wmfbrightblue}Bright Blue}
  \item{\color{wmfbrightyellow}Bright Yellow}
  \item{\color{wmfgreen}Green}
  \item{\color{wmfbrightgreen}Bright Green}
  \end{itemize}
\end{frame}

{
  \setbeamercolor{normal text}{fg=black,bg=wmfbrightblue}
  \part[Optional subtitle]{Chapter title goes here}
  \begin{frame}[plain]
    \partpage
  \end{frame}
}

{
  \setbeamercolor{normal text}{fg=white,bg=wmfblue}
  \part[]{WMF logo is white with a white foreground}
  \begin{frame}[plain]
    \partpage
  \end{frame}
}

\begin{slide}{Optional final contact me slide}

  Beamer doesn't really have a concept of a ``contact me'' slide, so we provide \texttt{\textbackslash WMFContactSlide}, which you use thus:
  
\begin{verbatim}
\setbeamercolor{normal text}{fg=white,bg=black}
\begin{frame}[plain]
  \WMFContactSlide{iam@wikimedia.org}
\end{frame} 
\end{verbatim}

Which looks something like...
\end{slide}

\setbeamercolor{normal text}{fg=white,bg=black}
\begin{frame}[plain]
  \WMFContactSlide{iam@wikimedia.org}
\end{frame} 

\end{document}
